<?php

namespace kernel\app_modules\view\interfaces;

interface Viewable
{

    /**
     * Отношение просмотров
     */
    public function views();

    /**
     * Получить количество просмотров
     */
    public function getViewsCountAttribute();

    /**
     * Получить уникальное количество просмотров
     */
    public function getUniqueViewsCountAttribute();

}